cURL
curl --request PUT \
--url https://api-alpha.fourvenues.com/integrations/lists/by-code/{listCode}/checkin \
--header 'Content-Type: application/json' \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
[
{
"_id": "1712861139741",
"women": 1,
"men": 1,
"no_gender": 0,
"price": 10
}
]
'import requests
url = "https://api-alpha.fourvenues.com/integrations/lists/by-code/{listCode}/checkin"
payload = [
{
"_id": "1712861139741",
"women": 1,
"men": 1,
"no_gender": 0,
"price": 10
}
]
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
integration_id: '<api-key>',
secret: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([{_id: '1712861139741', women: 1, men: 1, no_gender: 0, price: 10}])
};
fetch('https://api-alpha.fourvenues.com/integrations/lists/by-code/{listCode}/checkin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "Pl4gr84v20xqu01js0ybj42s6vYtIz1T",
"channel_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"code": "P6J21FF2S",
"enter": 4,
"event_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
"for": 7,
"name": "Miguel Román",
"observations_reception": "Birthday",
"rate_id": "Tl4gr63fr0xkr01i1gk354qbrSCMLTwl",
"rate_name": "General Access",
"rate_slug": "general-access",
"referral_id": "ñeifupjvx000rwe2m2zuba1z9FqyR2dSL",
"referral": {
"_id": "eifupjvx000rwe2m2zuba1z9FqyR2dSL",
"name": "John Appleseed"
},
"options": [
{
"_id": "1712861139741",
"women": 1,
"men": 1,
"no_gender": 0,
"price": 10,
"total": 2
}
],
"tags": [
"birthday",
"free-access"
],
"removed_at": 0
}
}Lists
Put list by code checkin
Checkin a list by its code.
PUT
/
lists
/
by-code
/
{listCode}
/
checkin
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
List code.
Body
application/json
Body of the request
Unique ID of the option (set to if is a custom price).
Example:
"1712861139741"
Number of women in the list option.
Example:
1
Number of men in the list option.
Example:
1
Number of no gender in the list option.
Example:
0
Price of the option (if is a custom price).
Example:
10
⌘I